# $Revision: 1.29 $, $Date: 2007-02-13 06:46:53 $
Summary:	Rendezvous - DNS Service Discovery
Summary(pl.UTF-8):	Rendezvous - wykrywanie usług w oparciu o DNS
Name:		mDNSResponder
Version:	108
Release:	6
License:	APSL
Group:		Applications
Source0:	http://darwinsource.opendarwin.org/tarballs/apsl/%{name}-%{version}.tar.gz
# Source0-md5:	645eda2dd5d465b8dabedc3b87e1b31a
Source1:	mDNSResponder.init
Patch0:		%{name}-cflags.patch
Patch1:		%{name}-soname.patch
Patch2:		%{name}-alpha.patch
Patch3:		%{name}-spell.patch
URL:		http://developer.apple.com/darwin/projects/rendezvous/
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rendezvous is a revolutionary networking technology that lets you
create an instant network of computers and devices without any
configuration. It allows the services and capabilities of each device
to be registered on the network, and allows these services to be
dynamically discoverable by other devices on the network. Rendezvous
enables this seamless networking and service discovery over the
standard and ubiquitous IP networking protocol.

%description -l pl.UTF-8
Rendezvous to technologia konfiguracji sieci oparta o otwarty standard
zwany Zeroconf. Pozwala ona komputerom oraz kompatybilnym urządzeniom
na automatyczne odnalezienie i skonfigurowanie się w sieci lokalnej
oraz komunikację, bez pomocy administratora oraz usług typu DHCP czy
DNS (stąd też pojawia się określenie 'zero-configuration').

%package libs
Summary:	mDNSResponder library
Summary(pl.UTF-8):	Biblioteka mDNSRespondera
Group:		Development/Libraries
Provides:	mdns-bonjour
Obsoletes:	avahi-compat-libdns_sd
Conflicts:	mDNSResponder < 107-2

%description libs
mDNSResponder library.

%description libs -l pl.UTF-8
Biblioteka mDNSRespondera.

%package devel
Summary:	Header files for mDNSResponder
Summary(pl.UTF-8):	Pliki nagłówkowe do mDNSRespondera
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Provides:	mdns-bonjour-devel
Obsoletes:	avahi-compat-libdns_sd-devel

%description devel
Header files for mDNSResponder.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla mDNSRespondera.

%package tools
Summary:	Tools for mDNSResponder
Summary(pl.UTF-8):	Narzędzia do mDNSRespondera
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description tools
Tools for mDNSResponder.

%description tools -l pl.UTF-8
Narzędzia dla mDNSRespondera.

%package -n nss_mdns
Summary:	mDNSResponder NSS module
Summary(pl.UTF-8):	Moduł NSS korzystający z mDNSRespondera
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description -n nss_mdns
mDNSResponder NSS module.

%description -n nss_mdns -l pl.UTF-8
Moduł NSS korzystający z mDNSRespondera.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} -C mDNSPosix \
	os=linux \
	CC="%{__cc}" \
	JDK="%{_libdir}/java" \
	%{?debug:DEBUG=1} \
	HAVE_IPV6=1 \
	CFLAGS_DEBUG="%{rpmcflags} -DMDNS_DEBUGMSGS=%{?debug:1}%{!?debug:0}" \
	CFLAGS_USER="%{rpmcflags}" \
	STRIP="echo"

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT{%{_includedir},/etc/rc.d/init.d,%{_sbindir}} \
	$RPM_BUILD_ROOT{/%{_lib},%{_libdir},%{_mandir}/man{5,8}} \
	$RPM_BUILD_ROOT%{_bindir}

install mDNSShared/dns_sd.h $RPM_BUILD_ROOT%{_includedir}/dns_sd.h
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/mdns
install mDNSPosix/nss_mdns.conf $RPM_BUILD_ROOT%{_sysconfdir}/nss_mdns.conf
install mDNSPosix/build/prod/mdnsd $RPM_BUILD_ROOT%{_sbindir}/mdnsd
install mDNSPosix/build/prod/dnsextd $RPM_BUILD_ROOT%{_sbindir}/dnsextd
install mDNSPosix/build/prod/mDNS* $RPM_BUILD_ROOT%{_bindir}
install mDNSPosix/build/prod/libnss_mdns-0.2.so $RPM_BUILD_ROOT/%{_lib}/libnss_mdns-0.2.so
install mDNSPosix/build/prod/libdns_sd.so $RPM_BUILD_ROOT%{_libdir}/libdns_sd.so.1.0.0
ln -sf libdns_sd.so.1.0.0 $RPM_BUILD_ROOT%{_libdir}/libdns_sd.so
install mDNSPosix/nss_mdns.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5/nss_mdns.conf.5
install mDNSPosix/libnss_mdns.8 $RPM_BUILD_ROOT%{_mandir}/man8/libnss_mdns.8
install mDNSShared/mDNSResponder.8 $RPM_BUILD_ROOT%{_mandir}/man8/mdnsd.8
install mDNSShared/dnsextd.8 $RPM_BUILD_ROOT%{_mandir}/man8/dnsextd.8

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add mdns
%service mdns restart

%preun
if [ "$1" = "0" ]; then
	%service mdns stop
	/sbin/chkconfig --del mdns
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	-n nss_mdns -p /sbin/ldconfig
%postun	-n nss_mdns -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/mdns
%attr(755,root,root) %{_sbindir}/mdnsd
%attr(755,root,root) %{_sbindir}/dnsextd
%{_mandir}/man8/mdnsd.8*
%{_mandir}/man8/dnsextd.8*

%files libs
%defattr(644,root,root,755)
%doc APPLE_LICENSE README.txt
%attr(755,root,root) %{_libdir}/libdns_sd.so.1.0.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdns_sd.so
%{_includedir}/*.h

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mDNS*

%files -n nss_mdns
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nss_mdns.conf
%attr(755,root,root) /%{_lib}/libnss_mdns-0.2.so
%{_mandir}/man5/nss_mdns.conf.5*
%{_mandir}/man8/libnss_mdns.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mDNSResponder.spec,v $
Revision 1.29  2007-02-13 06:46:53  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.27  2007/01/06 22:37:08  glen
- fix soname; rel 6

Revision 1.26  2006/05/20 12:33:40  shadzik
- rel 5 to rebuild with fixed init script

Revision 1.25  2006/05/04 20:59:40  glen
- add chkconfig-enabled mDNSResponder.init, rel 4

Revision 1.24  2006/04/23 12:40:59  glen
- wtf (fixed %preun), rel 3

Revision 1.23  2006/04/15 22:16:44  qboosh
- no macro in Conflicts for old package

Revision 1.22  2006/04/15 21:47:19  ankry
- C: in -libs for version before split to allow clean upgrade; rel. 2

Revision 1.21  2006/03/12 19:46:20  qboosh
- updated to 108, removed obsolete llh patch
- added license text to docs

Revision 1.20  2006/03/02 23:00:03  glen
- standard service registration, restaring

Revision 1.19  2006/02/23 14:52:18  freetz
- rel.4, provides/obsoletes for virtual mdns-bonjour/avahi-compat-dns_sd

Revision 1.18  2006/02/08 18:19:23  qboosh
- updated Source0 URL to one containing newer versions

Revision 1.17  2005/11/04 21:27:12  glen
- rel 3

Revision 1.16  2005/11/04 21:23:15  glen
- conflicts not neccessary with strict internal deps

Revision 1.15  2005/11/04 21:22:32  glen
- adapterized
- strict internal deps

Revision 1.14  2005/06/30 22:52:03  glen
- spell patch

Revision 1.13  2005/06/30 22:48:53  glen
- PreReq: rc-scripts for used initscript

Revision 1.12  2005/06/22 21:27:05  qboosh
- fixed descs mess

Revision 1.11  2005/06/20 13:05:27  djurban
- dont require main package in libs subpackage

Revision 1.10  2005/06/20 12:55:26  djurban
- [RELEASE 2] reorganised the spec, main package split into:
  * libs - the dnssd library needed by clients
  * the nss_mdns service
  * tools
- the main package contains only the mDNS/Rendezvous server

Revision 1.9  2005/06/14 18:16:13  misi3k
- up to 107

Revision 1.8  2005/05/04 10:27:42  pluto
- release 3 for Th.

Revision 1.7  2005/04/23 17:24:14  qboosh
- added alpha patch (needed with gcc <= 3.3.x), release 2

Revision 1.6  2005/03/26 17:57:47  qboosh
- added soname patch (use CC to link, set soname), use it

Revision 1.5  2005/03/26 17:22:12  qboosh
- fixed -devel descs (what documentation???), cleanups

Revision 1.4  2005/03/26 17:05:03  arekm
- introduce devel subpackage, fix cflags

Revision 1.3  2005/03/25 22:28:54  djurban
- adapterized, finished most sections, rel. 1 for our needs (we could
  package at least the java client in the future though - they're in
  the tarball)

Revision 1.2  2005/02/14 05:48:23  adgor
- Provides libdns_sd.so

Revision 1.1  2005/02/13 10:29:56  adgor
- Initial
- TODO evrth
